-- EnvenomX Core.lua by break19
if (select(2, UnitClass("player"))) ~= "ROGUE" then return end
----------------------
local vx = LibStub("AceAddon-3.0"):NewAddon("EnvenomX", "AceEvent-3.0", "AceBucket-3.0")
local sink = LibStub("Sink-1.0")
local L = LibStub("AceLocale-3.0"):GetLocale("EnvenomX", true)
local spellname = L["Deadly Poison"]
local envem = L["Envenom"]
local bucketlist = {
	"PLAYER_COMBO_POINTS",
	"UNIT_AURA",
	"PLAYER_TARGET_CHANGED"
}

function vx:OnEnable()
	self:RegisterEvent("PLAYER_REGEN_DISABLED","CombatEnter")
	self:RegisterEvent("PLAYER_REGEN_ENABLED","CombatLeave")
end

function vx:onDisable()
	self:UnregisterEvent("CombatEnter")
	self:UnregisterEvent("CombatLeave")
end

function vx:CombatEnter()
	self:RegisterBucketEvent(bucketlist, 2.0, "CheckEnvenom")
end

function vx:CombatLeave()
	self:UnregisterBucket("CheckEnvenom")
end

function vx:CountPoisons()
	for index=1,40,1 do
		local name, rank, texture, count, debuffType, duration, timeLeft  =  UnitDebuff("target", index)
		if duration and string.find( name, spellname ) then
			return count
		end
	end
	return 0
end	

function vx:CheckEnvenom()
	local cp = _G.GetComboPoints()
	local dp = vx:CountPoisons()
	if cp==5 and dp==5 then
		sink:Pour(envem.."!!", 1, 1, 0, nil, nil,nil,true)
	end
end